DROP  TABLE RXNATOMARCHIVE;
CREATE TABLE RXNATOMARCHIVE
(
   RXAUI VARCHAR2(8) NOT NULL,
   AUI VARCHAR2(10),
   STR VARCHAR2(4000) NOT NULL,
   ARCHIVE_TIMESTAMP VARCHAR2(280) NOT NULL,
   CREATED_TIMESTAMP VARCHAR2(280) NOT NULL,
   UPDATED_TIMESTAMP VARCHAR2(280) NOT NULL,
   CODE VARCHAR2(50),
   IS_BRAND VARCHAR2(1),
   LAT VARCHAR2(3),
   LAST_RELEASED VARCHAR2(30),
   SAUI VARCHAR2(50),
   VSAB VARCHAR2(40),
   RXCUI VARCHAR2(8),
   SAB VARCHAR2(20),
   TTY VARCHAR2(20),
   MERGED_TO_RXCUI VARCHAR2(8)
)
;

DROP  TABLE RXNCONSO;
CREATE TABLE RXNCONSO
(
   RXCUI VARCHAR2(8) NOT NULL,
   LAT VARCHAR2 (3) DEFAULT 'ENG' NOT NULL,
   TS VARCHAR2 (1),
   LUI VARCHAR2(8),
   STT VARCHAR2 (3),
   SUI VARCHAR2 (8),
   ISPREF VARCHAR2 (1),
   RXAUI  VARCHAR2(8) NOT NULL,
   SAUI VARCHAR2 (50),
   SCUI VARCHAR2 (50),
   SDUI VARCHAR2 (50),
   SAB VARCHAR2 (20) NOT NULL,
   TTY VARCHAR2 (20) NOT NULL,
   CODE VARCHAR2 (50) NOT NULL,
   STR VARCHAR2 (3000) NOT NULL,
   SRL VARCHAR2 (10),
   SUPPRESS VARCHAR2 (1),
   CVF VARCHAR2(50)
)
;

DROP TABLE RXNREL;
CREATE TABLE RXNREL
(
   RXCUI1    VARCHAR2(8) ,
   RXAUI1    VARCHAR2(8), 
   STYPE1    VARCHAR2(50),
   REL       VARCHAR2(4) ,
   RXCUI2    VARCHAR2(8) ,
   RXAUI2    VARCHAR2(8),
   STYPE2    VARCHAR2(50),
   RELA      VARCHAR2(100) ,
   RUI       VARCHAR2(10),
   SRUI      VARCHAR2(50),
   SAB       VARCHAR2(20) NOT NULL,
   SL        VARCHAR2(1000),
   DIR       VARCHAR2(1),
   RG        VARCHAR2(10),
   SUPPRESS  VARCHAR2(1),
   CVF       VARCHAR2(50)
)
;

DROP TABLE RXNSAB;
CREATE TABLE RXNSAB
(
   VCUI VARCHAR2 (8),
   RCUI VARCHAR2 (8),
   VSAB VARCHAR2 (40),
   RSAB VARCHAR2 (20) NOT NULL,
   SON VARCHAR2 (3000),
   SF VARCHAR2 (20),
   SVER VARCHAR2 (20),
   VSTART VARCHAR2 (10),
   VEND VARCHAR2 (10),
   IMETA VARCHAR2 (10),
   RMETA VARCHAR2 (10),
   SLC VARCHAR2 (1000),
   SCC VARCHAR2 (1000),
   SRL INTEGER,
   TFR INTEGER,
   CFR INTEGER,
   CXTY VARCHAR2 (50),
   TTYL VARCHAR2 (300),
   ATNL VARCHAR2 (1000),
   LAT VARCHAR2 (3),
   CENC VARCHAR2 (20),
   CURVER VARCHAR2 (1),
   SABIN VARCHAR2 (1),
   SSN VARCHAR2 (3000),
   SCIT VARCHAR2 (4000)
)
;

DROP TABLE RXNSAT;
CREATE TABLE RXNSAT
(
   RXCUI VARCHAR2(8),
   LUI VARCHAR2(8),
   SUI VARCHAR2(8),
   RXAUI VARCHAR2(9),
   STYPE VARCHAR2 (50),
   CODE VARCHAR2 (50),
   ATUI VARCHAR2(11),
   SATUI VARCHAR2 (50),
   ATN VARCHAR2 (1000) NOT NULL,
   SAB VARCHAR2 (20) NOT NULL,
   ATV VARCHAR2 (4000),
   SUPPRESS VARCHAR2 (1),
   CVF VARCHAR2 (50)
)
;

DROP TABLE RXNSTY;
CREATE TABLE RXNSTY
(
   RXCUI VARCHAR2(8) NOT NULL,
   TUI VARCHAR2 (4),
   STN VARCHAR2 (100),
   STY VARCHAR2 (50),
   ATUI VARCHAR2 (11),
   CVF VARCHAR2 (50)
)
;

DROP TABLE RXNDOC;
CREATE TABLE RXNDOC (
    DOCKEY	varchar2(50) NOT NULL,
    VALUE	varchar2(1000),
    TYPE	varchar2(50) NOT NULL,
    EXPL	varchar2(1000)
)
;

DROP  TABLE RXNCUICHANGES;
CREATE TABLE RXNCUICHANGES
(
      RXAUI varchar2(8),
      CODE varchar2(50),
      SAB  varchar2(20),
      TTY  varchar2(20),
      STR  varchar2(3000),
      OLD_RXCUI varchar2(8) NOT NULL,
      NEW_RXCUI varchar2(8) NOT NULL
)
;

DROP TABLE rxncui;
 
 CREATE TABLE rxncui (
 cui1 varchar2(8),
 ver_start varchar2(40),
 ver_end   varchar2(40),
 cardinality varchar2(8),
 cui2        varchar2(8)
)
;

 
